.t396 .t-animate[data-animate-style='fadein'],
.t396 .t-animate[data-animate-style='fadeinup'],
.t396 .t-animate[data-animate-style='fadeindown'],
.t396 .t-animate[data-animate-style='fadeinleft'],
.t396 .t-animate[data-animate-style='fadeinright'],
.t396 .t-animate[data-animate-style='zoomin'],
.t396 .t-animate[data-animate-style='zoomout'] {
	opacity: 0;
}

@media screen and (min-width: 980px) {
	.t-animate[data-animate-style='fadein'],
	.t-animate[data-animate-style='fadeinup'],
	.t-animate[data-animate-style='fadeindown'],
	.t-animate[data-animate-style='fadeinleft'],
	.t-animate[data-animate-style='fadeinright'],
	.t-animate[data-animate-style='zoomin'],
	.t-animate[data-animate-style='zoomout'] {
		opacity: 0;
		-webkit-transition-property: opacity, transform;
		transition-property: opacity, transform;
		-webkit-transition-duration: 1s;
		transition-duration: 1s;
		-webkit-transition-timing-function: cubic-bezier(0.19, 1, 0.22, 1);
		transition-timing-function: cubic-bezier(0.19, 1, 0.22, 1);
		-webkit-backface-visibility: hidden;
		backface-visibility: hidden;
	}

	.t-title.t-animate {
		-webkit-transition-duration: 1.2s;
		transition-duration: 1.2s;
	}

	.t-descr.t-animate,
	.t-uptitle.t-animate,
	.t-subtitle.t-animate,
	.t-text.t-animate {
		-webkit-transition-duration: 0.7s;
		transition-duration: 0.7s;
	}

	.t-item.t-animate {
		-webkit-transition-duration: 0.5s;
		transition-duration: 0.5s;
	}

	.t-animate_started[data-animate-style='fadein'] {
		opacity: 1;
	}

	.t-animate[data-animate-style='fadeinup'] {
		-webkit-transform: translate(0, 100px);
		transform: translate(0, 100px);
	}
	.t-animate_started[data-animate-style='fadeinup'] {
		opacity: 1;
		-webkit-transform: none;
		transform: none;
	}

	.t-animate[data-animate-style='fadeindown'] {
		-webkit-transform: translate(0, -100px);
		transform: translate(0, -100px);
	}
	.t-animate_started[data-animate-style='fadeindown'] {
		opacity: 1;
		-webkit-transform: none;
		transform: none;
	}

	.t-animate[data-animate-style='fadeinleft'] {
		-webkit-transform: translate(100px, 0);
		transform: translate(100px, 0);
	}
	.t-animate_started[data-animate-style='fadeinleft'] {
		opacity: 1;
		-webkit-transform: none;
		transform: none;
	}

	.t-animate[data-animate-style='fadeinright'] {
		-webkit-transform: translate(-100px, 0);
		transform: translate(-100px, 0);
	}
	.t-animate_started[data-animate-style='fadeinright'] {
		opacity: 1;
		-webkit-transform: none;
		transform: none;
	}

	.t-animate[data-animate-style='zoomin'] {
		-webkit-transform: scale(0.9);
		transform: scale(0.9);
	}
	.t-animate_started[data-animate-style='zoomin'] {
		opacity: 1;
		-webkit-transform: scale(1);
		transform: scale(1);
	}

	.t-animate[data-animate-style='zoomout'] {
		-webkit-transform: scale(1.2);
		transform: scale(1.2);
	}
	.t-animate_started[data-animate-style='zoomout'] {
		opacity: 1;
		-webkit-transform: scale(1);
		transform: scale(1);
	}

	.t-animate_started[data-animate-distance],
	.t-animate_started[data-animate-scale] {
		-webkit-transform: none !important;
		transform: none !important;
	}

	.t-animate__word-mask-wrapper {
		display: inline-flex;
		text-decoration: inherit;
		overflow: hidden;
	}

	.t-animate__word {
		display: inline-block;
	}

	.t-animate__word_strict,
	.t-animate__word_whitespace {
		display: inline;
	}

	.t-animate[data-animate-style='word-fade-in-right'] .t-animate__word {
		animation: fadeInLeft 0.7s cubic-bezier(.22, .65, .2, 1) both;
	}

	.t-animate[data-animate-style='word-fade-in-left'] .t-animate__word {
		animation: fadeInRight 0.7s cubic-bezier(.22, .65, .2, 1) both;
	}

	.t-animate[data-animate-style='word-fade-in-up'] .t-animate__word,
	.t-animate[data-animate-style='word-fade-in-up-masked'] .t-animate__word {
		animation: fadeInUp 0.7s cubic-bezier(.22, .65, .2, 1) both;
	}

	.t-animate[data-animate-style='word-fade-in-down'] .t-animate__word {
		animation: fadeInDown 0.7s cubic-bezier(.22, .65, .2, 1) both;
	}

	.t-animate[data-animate-style='line-fade-in-up-masked'] .t-animate__word {
		animation: fadeInUp 0.75s cubic-bezier(.22, .65, .2, 1) both;
	}

	.t-animate[data-animate-style='line-fade-in-right-gradient'] .t-animate__line { 
		animation: fadeInRightGradient 1s cubic-bezier(0.22, 1, 0.36, 1) both;
	}

	.t-animate[data-animate-style='line-fade-in-left-gradient'] .t-animate__line { 
		animation: fadeInLeftGradient 1s cubic-bezier(0.22, 1, 0.36, 1) both;
	}

	.t-animate[data-animate-style='line-fade-in-right-gradient'] .t-animate__word,
	.t-animate[data-animate-style='line-fade-in-left-gradient'] .t-animate__word { 
		opacity: 0;
	}

	.t-animate_started[data-animate-style='line-fade-in-right-gradient'] .t-animate__word,
	.t-animate_started[data-animate-style='line-fade-in-left-gradient'] .t-animate__word { 
		opacity: 1;
	}
	
	.t-animate[data-animate-style='word-fade-in-right'] .t-animate__word_whitespace,
	.t-animate[data-animate-style='word-fade-in-up-masked'] .t-animate__word_whitespace,
	.t-animate[data-animate-style='word-fade-in-left'] .t-animate__word_whitespace,
	.t-animate[data-animate-style='word-fade-in-down'] .t-animate__word_whitespace {
		animation-duration: 0.5s;
		animation-timing-function: linear;
	}
	
	.t-animate[data-animate-style='line-fade-in-up-masked'] .t-animate__word_whitespace {
		animation-duration: 0.55s;
		animation-timing-function: linear;
	}
	
	.t-animate[data-animate-style='fade-in-blur'] {
		animation: fadeInBlur 0.9s cubic-bezier(.22, .65, .2, 1) forwards;
	}

	.t-animate[data-animate-style='word-fade-in-right'] .t-animate__word,
	.t-animate[data-animate-style='word-fade-in-up-masked'] .t-animate__word,
	.t-animate[data-animate-style='word-fade-in-left'] .t-animate__word,
	.t-animate[data-animate-style='word-fade-in-down'] .t-animate__word,
	.t-animate[data-animate-style='line-fade-in-up-masked'] .t-animate__word,
	.t-animate[data-animate-style='line-fade-in-right-gradient'] .t-animate__line,
	.t-animate[data-animate-style='line-fade-in-left-gradient'] .t-animate__line,
	.t-animate[data-animate-style='fade-in-blur'] {
		animation-play-state: paused;
	}

	.t-animate_started[data-animate-style='word-fade-in-right'] .t-animate__word,
	.t-animate_started[data-animate-style='word-fade-in-up-masked'] .t-animate__word,
	.t-animate_started[data-animate-style='word-fade-in-left'] .t-animate__word,
	.t-animate_started[data-animate-style='word-fade-in-down'] .t-animate__word,
	.t-animate_started[data-animate-style='line-fade-in-up-masked'] .t-animate__word,
	.t-animate_started[data-animate-style='line-fade-in-right-gradient'] .t-animate__line,
	.t-animate_started[data-animate-style='line-fade-in-left-gradient'] .t-animate__line,
	.t-animate_started[data-animate-style='fade-in-blur'] {
		animation-play-state: running;
	}
}

.t-animate-for-wrapper .t-animate:not(.t-animate_started) {
	opacity: 0 !important;
	transition-duration: 0s !important;
}

.t-animate__overflow-x-hidden {
	overflow-x: hidden;
}

@keyframes fadeInUp {
	0% {
		transform: translateY(110%);
		opacity: 0;
	}
	100% {
		transform: translateY(0);
		opacity: 1;
	}
}

@keyframes fadeInDown {
	0% {
		transform: translateY(-110%);
		opacity: 0;
	}
	100% {
		transform: translateY(0);
		opacity: 1;
	}
}

@keyframes fadeInLeft {
	0% {
		transform: translateX(36px);
		opacity: 0;
	}
	100% {
		transform: translateX(0);
		opacity: 1;
	}
}

@keyframes fadeInRight {
	0% {
		transform: translateX(-36px);
		opacity: 0;
	}
	100% {
		transform: translateX(0);
		opacity: 1;
	}
}

@keyframes fadeInLeftGradient {
	0% {
		opacity: 0;
    transform: translateX(-10px);
    clip-path: inset(0 0 0 100%);
    -webkit-clip-path: inset(0 0 0 100%);
    filter: blur(2px);
		display: inline-block;
	}
	99% {
    opacity: 1;
    transform: translateX(0);
    clip-path: inset(0 0 0 0);
    -webkit-clip-path: inset(0 0 0 0);
    filter: blur(0);
		display: inline-block;
	}
	100% {
    opacity: 1;
    transform: translateX(0);
    clip-path: none;
    -webkit-clip-path: none;
    filter: blur(0);
		display: inline;
	}
}

@keyframes fadeInRightGradient {
	0% {
		opacity: 0;
    transform: translateX(10px);
    clip-path: inset(0 100% 0 0);
    -webkit-clip-path: inset(0 100% 0 0);
    filter: blur(2px);
		display: inline-block;
	}
	99% {
    opacity: 1;
    transform: translateX(0);
    clip-path: inset(0 0 0 0);
    -webkit-clip-path: inset(0 0 0 0);
    filter: blur(0);
		display: inline-block;
	}
	100% {
    opacity: 1;
    transform: translateX(0);
    clip-path: none;
    -webkit-clip-path: none;
    filter: blur(0);
		display: inline;
	}
}

@keyframes fadeIn {
	0% {
		opacity: 0;
	}
	100% {
		opacity: 1;
	}
}

@keyframes fadeInBlur {
	0% {
    opacity: 0;
    filter: blur(12px);
	}
	100% {
    opacity: 1;
    filter: blur(0);
	}
}